Generation Framework

## org.eclipse.gmf.tooldef.impl
Class GMFToolFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.tooldef.impl.GMFToolFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, GMFToolFactory

    public class GMFToolFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements GMFToolFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.tooldef.GMFToolFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GMFToolFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertActionKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertAppearanceStyleToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertStandardToolKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`ActionKind` `createActionKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`AppearanceStyle` `createAppearanceStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`BundleImage` `createBundleImage()`
`ContextMenu` `createContextMenu()`
`CreationTool` `createCreationTool()`
`DefaultImage` `createDefaultImage()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`GenericStyleSelector` `createGenericStyleSelector()`
`GenericTool` `createGenericTool()`
`ItemRef` `createItemRef()`
`MainMenu` `createMainMenu()`
`MenuAction` `createMenuAction()`
`Palette` `createPalette()`
`PaletteSeparator` `createPaletteSeparator()`
`PopupMenu` `createPopupMenu()`
`PredefinedItem` `createPredefinedItem()`
`PredefinedMenu` `createPredefinedMenu()`
`Separator` `createSeparator()`
`StandardTool` `createStandardTool()`
`StandardToolKind` `createStandardToolKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Toolbar` `createToolbar()`
`ToolGroup` `createToolGroup()`
`ToolRegistry` `createToolRegistry()`
`GMFToolPackage` `getGMFToolPackage()`
`static GMFToolPackage` `getPackage()` Deprecated.
`static GMFToolFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GMFToolFactoryImpl

    public GMFToolFactoryImpl()

  Creates an instance of the factory.

  ** Generated **

Method Detail

### init

    public static GMFToolFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createToolRegistry

    public ToolRegistry createToolRegistry()

  Specified by:
    `createToolRegistry` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Tool Registry'.
  ** Generated **

### createPaletteSeparator

    public PaletteSeparator createPaletteSeparator()

  Specified by:
    `createPaletteSeparator` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Palette Separator'.
  ** Generated **

### createToolGroup

    public ToolGroup createToolGroup()

  Specified by:
    `createToolGroup` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createPalette

    public Palette createPalette()

  Specified by:
    `createPalette` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createStandardTool

    public StandardTool createStandardTool()

  Specified by:
    `createStandardTool` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Standard Tool'.
  ** Generated **

### createCreationTool

    public CreationTool createCreationTool()

  Specified by:
    `createCreationTool` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Creation Tool'.
  ** Generated **

### createGenericTool

    public GenericTool createGenericTool()

  Specified by:
    `createGenericTool` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Generic Tool'.
  ** Generated **

### createSeparator

    public Separator createSeparator()

  Specified by:
    `createSeparator` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createPredefinedItem

    public PredefinedItem createPredefinedItem()

  Specified by:
    `createPredefinedItem` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Predefined Item'.
  ** Generated **

### createPredefinedMenu

    public PredefinedMenu createPredefinedMenu()

  Specified by:
    `createPredefinedMenu` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Predefined Menu'.
  ** Generated **

### createMenuAction

    public MenuAction createMenuAction()

  Specified by:
    `createMenuAction` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Menu Action'.
  ** Generated **

### createItemRef

    public ItemRef createItemRef()

  Specified by:
    `createItemRef` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Item Ref'.
  ** Generated **

### createContextMenu

    public ContextMenu createContextMenu()

  Specified by:
    `createContextMenu` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Context Menu'.
  ** Generated **

### createPopupMenu

    public PopupMenu createPopupMenu()

  Specified by:
    `createPopupMenu` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Popup Menu'.
  ** Generated **

### createMainMenu

    public MainMenu createMainMenu()

  Specified by:
    `createMainMenu` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Main Menu'.
  ** Generated **

### createToolbar

    public Toolbar createToolbar()

  Specified by:
    `createToolbar` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Toolbar'.
  ** Generated **

### createDefaultImage

    public DefaultImage createDefaultImage()

  Specified by:
    `createDefaultImage` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Default Image'.
  ** Generated **

### createBundleImage

    public BundleImage createBundleImage()

  Specified by:
    `createBundleImage` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Bundle Image'.
  ** Generated **

### createGenericStyleSelector

    public GenericStyleSelector createGenericStyleSelector()

  Specified by:
    `createGenericStyleSelector` in interface `GMFToolFactory`
  Returns:
    a new object of class 'Generic Style Selector'.
  ** Generated **

### createStandardToolKindFromString

    public StandardToolKind createStandardToolKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

  ** Generated **

### convertStandardToolKindToString

    public java.lang.String convertStandardToolKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

  ** Generated **

### createActionKindFromString

    public ActionKind createActionKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

  ** Generated **

### convertActionKindToString

    public java.lang.String convertActionKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

  ** Generated **

### createAppearanceStyleFromString

    public AppearanceStyle createAppearanceStyleFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

  ** Generated **

### convertAppearanceStyleToString

    public java.lang.String convertAppearanceStyleToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.Object instanceValue)

  ** Generated **

### getGMFToolPackage

    public GMFToolPackage getGMFToolPackage()

  Specified by:
    `getGMFToolPackage` in interface `GMFToolFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    @Deprecated
    public static GMFToolPackage getPackage()

  Deprecated.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.